Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 748863004: Get rid of getCTM/setCTM pair in Font::paintGlyphsVertical (Closed)

Created:
5 years, 7 months ago by fs
Modified:
5 years, 7 months ago
Reviewers:
f(malita), jbroman
CC:
blink-reviews, krit, Rik, jbroman, danakj, pdr+graphicswatchlist_chromium.org, f(malita), Stephen Chennney, rwlbuis
Project:
blink
Visibility:
Public.

Description

Get rid of getCTM/setCTM pair in Font::paintGlyphsVertical GC::setCTM is not safe to use in the presence of active recordings, since it will end up accumulating the saved matrix on the currently active SkCanvas. Use a GCSS to save/restore the CTM instead. Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=186291

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+2 lines, -3 lines) Patch
M Source/platform/fonts/Font.cpp View 3 chunks +2 lines, -3 lines 0 comments Download

Messages

Total messages: 6 (2 generated)
fs
Mutually exclusive(?) with https://codereview.chromium.org/766693002/
5 years, 7 months ago (2014-11-27 10:04:19 UTC) #2
f(malita)
lgtm
5 years, 7 months ago (2014-12-01 22:28:38 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/748863004/1
5 years, 7 months ago (2014-12-02 12:00:33 UTC) #5
commit-bot: I haz the power
5 years, 7 months ago (2014-12-02 12:02:31 UTC) #6
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://src.chromium.org/viewvc/blink?view=rev&revision=186291

Powered by Google App Engine
This is Rietveld 408576698